clear; clc;clf;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Opgave 1
%
% Disse velser viser hvordan linere korrelationer kan beregnes og
% visualiseres, metoder som er anvendelige p det meste data med flere
% parametre. 
%
% Morten Dam Jrgensen, 2011, http://mdj.dk
% 
% Datasttet er hentet fra: http://www.infoplease.com/ipa/A0004379.html
%


% Indls datasttet "lande.txt"
% Hint: brug importdata(.)

% 1.1
% Plot populationen i forhold til landenes strrelse.
%


% 1.2
% Beregn den linre korrelation, manuelt.
%
% Hint: beregn frst kovarians matricen (ligning 1)
%
% - Er de to variable korrelerede?


% 1.3
% Beregn kovariansmatricen og korrelationsmatricen med MATLABs indbyggede
% funktioner.
%
% - Sammenlign resultatet med dine beregninger.


% 1.4
% Tag logaritmen af begge vrdier, og plot resultatet igen.
% - Diskuter forskellen, er korrelationen tydligere nu?
% Beregn korrelationen for de logaritmiske vrdier
% - Hvorfor er korrelationen anderledes end i opgave 1.2?
%


% 1.5
% Lav et linert fit af resultatet i opgave 1.4
% "Hint": f = fit(landelog(:,1), landelog(:,2), 'poly1'); hold on; plot(f)
% 
% Hvad er Chi^2 for fittet, beskriver en liner relation forholdet?
%


%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Opgave 2
%
% Problemer med korrelationer...
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear; clc;clf;

% 2.1
% Indls datasttet "opg2data.txt"
%

% 2.2
% Beregn korrelationerne mellem de to variable
% - Er variablerne korrelerede?
%


% 2.3
% Lav et scatter plot af de to variable
% - Ved visuel inspektion, forklar hvorfor der ikke var en korrelation
% mellem de to akser i beregningen.

% 2.4
% Datasttet er genereret med flgende udtryk
% n = 2000; % Number of samplings
% x = linspace(-1, 1, n);
% y = - 5 * (x.^2 - 1/2).^2 + unifrnd(-1, 1, [1 n])/3;
%
% - Der er tydeligvis en afhngighed mellem x og y aksen, i hvilke
% tilflde, _vil_ en liner korrelation vre et acceptabelt ml for
% korrelationen mellem to vrdier?
%
